0.22.0 2022-02-15
	update: drop support for PHP 5.x
	update: add HDMI port type
	update: support new source types in getImageHREF() (GH#279)
	bugfix: display log records consistently
	bugfix: evaluate {$op_deleteObject} in the right context (Mantis#2021)
	bugfix: fix remote interface to IOS 15 devices (Mantis#2029) (Mantis#2031)
	bugfix: fix more cases of "ROW is a keyword in MySQL 8"
0.21.5 2020-10-05
	update: fix assorted URL and notes
	update: add SNMP support for HPE 5130 (JG937A) and A5120 (JG237A)
	update: add an ID column to the table of attributes
	update: refine some SNMP code
	update: upgrade CodeMirror to 5.58.1
	update: add two more Netgear switches (Mantis#1983)
	new feature: allow to customize tag palette (Mantis #1991)
0.21.4 2019-11-17
	bugfix: amend SQL to work on MySQL 8 (Mantis#1909)
	update: use vertical writing mode in the 802.1Q report
	update: add snmp syncing support for Arista DCS-7050SX-64
0.21.3 2019-06-12
	update: add a log entry limit to the object page (Mantis#769)
	bugfix: fix an XSS issue in an error message
0.21.2 2019-03-25
	update: enable CSS and JavaScript from external URLs (GH#231)
	update: 802.1Q: do permission check for changing native vlan while keeping the allowed vlans list unchanged
	update: 802.1Q: foreign VLANs (missing from the vlan domain list) are not propagated to uplinks
	update: ability to extend supported device breed list via plug-in
	update: add a server configuration report (same as before install/upgrade)
	update: new modular port type 'SFP28'
	update: allow to delete local user accounts (Mantis#1089)
	update: show names in allocated units when assigning rackspace (Mantis#1711)
	update: drop support for $localreports
	update: display file comment in the SELECT (Mantis#1419)
	update: change command-line arguments in git-commit
	new feature: "shared router" allocation (GH#210 by Vladimir Ivanov)
	new feature: optional tag descriptions
	new feature: support for HP N.11.78 and IOS 15 (GH #225 by Vasilii Shashkov)
	bugfix: fixup an SQL query in the integrity report
	bugfix: make the "Uncheck all" button rack-specific
0.21.1 2017-10-22
	update: improve Percona server support (Mantis#1793)
	bugfix: fix an upgrade bug introduced in 0.21.0 (found by Chris James)
0.21.0 2017-10-01
	update: better display objects that have no common name
	update: highlight RackCode syntax in the Permissions viewer too
	update: refine delivery of rack thumb images
	update: new plugin architecture
	update: add support for IP-over-InfiniBand L2 addresses
	update: improve MariaDB support
	update: rename VLANIPV4NET_LISTSRC to VLANNET_LISTSRC
	bugfix: put dictionary-based attributes formatting right
	bugfix: date attributes now can be set for racks, rows and locations
	bugfix: add support for PHP 7.1 (Mantis #1771)
	bugfix: fix logging out (Mantis #496 and duplicates)
	new feature: tag colors (GH#158 by Maik Ehinger)
0.20.14 2017-08-10
	update: cover comments too in IPv4 & IPv6 search (Mantis#1773 by Fred Stuck)
	update: suppress the rackspace portlet column if it is empty
	update: refine items in the dictionary (e.g. SuperMicro and EMC)
	update: adjust some code for easier customization
	update: improve some error messages
0.20.13 2017-05-12
	update: fix performance for pages with images (GH#190 by Michael A. Mikhailov)
	update: improve SNMP support for Brocade devices (GH#180 by Chris Jones)
	update: imply %u for port labels too (Mantis#1739 by Gianluca Laudano)
	update: switch the Cisco UCS gateway to the new API (by Brian Pothier)
	update: display port inner type when port outer type is ambiguous in Object's "Ports" tab
	bugfix: address an upgrade failure related to triggers (Mantis#1733)
0.20.12 2017-02-08
	bugfix: common name for blade server(utf-8) was shown incorrectly in racks (by Artem Yankovskiy)
	bugfix: throwing a undeclared 'ParseError' exception from RackCode parser
	bugfix: LLDP discovery for Cisco IOS: fix the case when remote device name length is 20 chars
	bugfix: unneeded VLANs were not removed from Arista EOS4 and Marvell devices
	bugfix: fix a PHP warning (#1609 by Maik Ehinger)
	bugfix: location filter did not work (#1595 by Alberto Avai)
	bugfix: decline invalid date input with a message (#1389)
	bugfix: work around MySQL 5.7 SQL mode (#1547, #1635)
	bugfix: DB lock on LDAP cache hit was still waiting all pending LDAP queries of other users to complete
	update: Huawei telnet gateway uses the 'terminal echo-mode line' command
	update: Nexus 7700, Huawei S5700, Juniper QFX, Mellanox, Quanta, Ixia device models added into dictionary
	update: SNMP sync support for Huawei CE5850-HI/CE6870
	update: Cmd+Click now inverses tag selection on OS X like Ctrl+Click does on Windows/Linix
	update: explain usage particulars for each tag on the editor tab
	update: increase HTML SELECT maximum width (#1611)
	update: add support for standalone UCS servers (by Brian Pothier)
	update: add autocomplete to port link dialog object name, asset tag and port name fields
	update: add 1000Base-BX40 and 1000Base-BX80 port types (#1645)
	update: upgrade CodeMirror from 3.22 to 3.24
	update: include file timestamps in the mouse hint (#1663)
	update: add support for double quotes in the search string
	update: new modular port type 'QSFP28'
	update: port type 'empty QSFP+' renamed to 'empty QSFP' to be used both by 'QSFP+' and 'QSFP28' modular ports
0.20.11 2016-02-07
	bugfix: Tag Picker does not display the full tag list as a tree (#1403)
	bugfix: race conditions in 802.Q deploy (switch remained synced after recalc)
	bugfix: catch EntityNotFound exceptions in data integrity report (#1439)
	bugfix: location log entries broke the object log report (#1443)
	bugfix: fix a PHP warning on older PHP versions (reported by Bruno Santoni)
	bugfix: more intelligent sort function for object portnames
	bugfix: upgrading from < 0.20.0 to >= 0.20.8 failed (#1463, #1501)
	bugfix: containers weren't sorted in a consistent manner (#1507)
	bugfix: live interface status on D-Link devices fixed
	bugfix: LivePorts tab was displayed only if $any_op was allowed in permissions
	bugfix: chapter editor: ability to re-name dictionary items keeping wiki-links
	bugfix: IP load balancer config was not removed when wiping object's data
	bugfix: fix file upload error handling
	update: SNMP support for Cisco C2960-Plus series
	update: ability to delete a VLAN keeping it in the VLAN ranges on 802.1Q ports
	update: sort by parent locations on the Rackspace page (#1153)
	new feature: VLAN domain groups.
		A group is a domain that has all the VLANs of its members
	update: SNMP support for Cisco Nexus 3132Q, WS-CE500-24PC (#1523),
		HP J9625A (#1459), Juniper EX2200 (#1395)
	update: ability to clean rack mounts or drop entire row (even if it contains racks inside)
		from user interface
	update: IP network page renders a little faster
	update: more efficient pagination for large IPv4 networks
	update: new 100G port types support (empty CXP, CR4, CR10, LR10, ER10)
	update: warn when already used or reserved IP is assigned to object
	update: allow to redefine the expiration report parameters in local plugins
	update: allow to hide unallocated networks from IPv4 tree via
		IPV4_TREE_SHOW_UNALLOCATED user configuration option
0.20.10 2015-01-26
	bugfix: port type could not be changed for an unlinked modular port (#1393)
	bugfix: crash on object's rackspace page when PHP < 5.3 (array_replace is missing)
	bugfix: error displaying a pop-up window when short_open_tag=0 in php.ini
	bugfix: exception messages in CLI mode were html-escaped
	update: SNMP support for Cisco SMB switches: all 200, 220 and 300 series models
	update: show VLAN domain of an IP network on mouse hover
0.20.9 2015-01-13
	bugfix: 802.1Q support of Huawei VRP 8.80 devices
	bugfix: adding new Cacti graphs sometimes failed, now works
	bugfix: do not allow to turn an object into a location (#1339)
	bugfix: handle glob() result carefully (#1273, reported by Georg Hoellrigl)
	bugfix: fix color for zero-U objects with problems (#1189)
	bugfix: fix syntax error crash with PHP version < 5.3 (unexpected T_FUNCTION).
		This bug appeared in 0.20.8 and reported by Frank Altpeter.
	bugfix: When adding large amounts of objects at once, one typo halts progress (#1369)
	bugfix: commented, but not reserved/allocated IPs were counted as busy in net usage bar (#1217)
	update: SNMP support for Cisco CGS-2520-24TC (#1259), WS-C2960X-24TS-LL (#1205),
		WS-C2960X-48LPS-L, HP J8693A (#1251), HP J9728A (#1255), Linksys SRW2024P (#1183),
		Huawei CE6850-48S4Q-EI, CE7850-32Q-EI
	update: new 100G modular port types: CFP2, CPAK
	update: link status feature is available on Cisco IOS XR (ASR)
	update: remember last successful LDAP server to minimize LDAP auth delay
	update: link status, MAC list support for ExtremeXOS
	update: speed-up enumerating/filtering of objects
	update: new tabindex order: search input, form inputs, other elements
	update: provide a hint to create tags before assigning
	update: make dictionary-based SELECTs sorting case-insensitive
	update: telnet gateway supports IPv6 (by Aleksandr Balezin)
	update: UI: links to rack rows are displayed on the 'Manage Rows' tab
	update: display object types of containers/nested objects, as well as
		the type column in the Objects table (by Mark Jazmik).
		This feature is disabled by default (the SHOW_OBJECTTYPE config var = 'no')
	update: check permissions when mounting an object to a rack against both the
		object's and the rack's tags. Thus, it is possible to allow modifying object
		but restrict mounting it to a particular rack.
	update: consider object's FQDN to retrieve its Munin graphs (#1279)
	update: searching by IP address comment field (by Niilo Kajander, #1359)
	update: new Juniper MX, Cisco Nexus 3000, Cisco Small Business series
		models added into dictionary
	update: increase port table column width (#1387)
	update: ability to change an unlinked inner port type (e.g. hardwired -> SFP)
0.20.8 2014-06-07
	bugfix: syntax error in functions.php when using PHP prior to 5.3.0 (#1195)
	bugfix: properly format comment text for locations and racks
	bugfix: the tab IP SLB/Load balancers displayed all the objects in system
	bugfix: Native vlan on Huawei trunk ports no longer gets to the allowed vlans list
	bugfix: Data Integrity report hit memory limit
	bugfix: creating racks with tags cause warnings in TagStorage: Missing Parents integrity report
	bugfix: LLDP neighbors was empty for some Juniper devices
	bugfix: add object container compatibility rules for Cisco UCS (#1245) 
	update: allow connecting to a non-standard LDAP port (by Michał Sochoń)
	update: move port outer interfaces from the dictionary
	update: syncdomain.php now provides some new CLI options and better lockfile handling
	update: SNMP support for Cisco 2960X-24PS-L, 2960X-24PD-L
	update: new {$client_x.x.x.x} auto tag containing client's IP
	update: link status feature is available on Juniper
	update: new port menu item: "Show port learned MACs"
	new feature: patch cables accounting
0.20.7 2014-03-03
	bugfix: IP tree expansion button was broken when MAX_UNFILTERED_ENTITIES was set
	bugfix: fix URL detection bug introduced in bugfix to #1023 (#1103)
	bugfix: browse objects page was broken if an object's container was unnamed (#1115)
	bugfix: some pages would not load because PHP's maximum execution time was
		exceeded, caused by a circular reference in the location tree (#1123)
	bugfix: do HTML escaping on error pages (reported by Lukas Reschke)
	bugfix: logout link didn't work in some scenarios (#1129)
	bugfix: system functions for translating IPs were not used even being available
	bugfix: Zero-U-mounted objects were not counted in rack summary
	bugfix: fix of sorting issue with national characters by Thomas Uhde (#837)
	bugfix: LLDP parser fixed for Huawei VRP 8.5
	update: enable IP addressing for all object types unless specifically excluded
	update: SNMP support for 3Com 4510G-24, Cisco SF302-08MP, 
		Linksys SRW248G4 by Rafael Driutti,
		3Com 4200G 48-port (#1093), 5500G-EI 48-port (#1095) by Rainer Stumbaum,
		AT-GS950/24 (#1105), Cisco WS-C1924 (#1111), HP J4900B (#1107),
		J8692A & J9146A (#1143)
	update: add the data integrity report
	update: duplicate IP allocations of all types except 'shared' are highlighted red
	update: upgrade CodeMirror to version 3.22
	update: include OEM S/N 1 in expirations report (by Matthew Castanien)
	update: display a datetime format hint for date attributes (#1051)
	update: display location tree in object breadcrumbs (#1125)
	update: allow rows to have properties (#1133)
	update: objects with problems colored red on browse objects page (#1137)
	update: use suggest-menu for tag assignment
	update: show tag trace in tag title
	update: spare IPv6 prefixes are limited to nibble boundary (#959)
	update: button to fix non-canonical port names (#827)
	update: explicitly require PHP version 5.2.10 or newer (see #1139)
	update: leave secret.php in a safer state upon install
	new feature: add IPv4 natting for all protocols (#971) by Tim Wilkes/Mark Wilkinson
	new feature: display point-to-point peers when using new 'Point-to-point' IP allocation type
	new feature: display rack power consumption as sum of mounted objects'
		"max power" and "max current" attribute values (#701)
0.20.6 2013-11-29
	bugfix: "sshnokey" gateway had a bug
	bugfix: SLB config was generated incrorrectly when multiple 
		rspools were linked with the same balancer-vsg pair
	bugfix: change blade orientation of Cisco 6509-V-E (#985)
	bugfix: default values of some LDAP options weren't being used
	bugfix: update of Cisco WS-C4948 SNMPsync port definitions (#977) by Mark Wilkinson
	bugfix: jQuery.UI static files were not accessible (by Aleksandr Balezin)
	bugfix: 404 response header for missing static files was incorrect (by Aleksandr Balezin)
	bugfix: IOS CLI prompt detection (#1033)
	bugfix: SLB IP assignments were stored even if a balancer object was deleted
	bugfix: exception when searching for a alien IP address
	bugfix: DB deadlocks in LDAP authentication when opening many tabs simultaneously
	bugfix: object searching and updating may fail (#1031)
	bugfix: strict standards message when managing locations or rows (#1065)
	bugfix: ports of zero-U objects were not listed as candidates when linking ports (#917)
	bugfix: blade objects with problems should be colored red (#1071) by Mark Wilkinson
	update: display friendlier message when attempting to NAT non-existent IP (#963)
	update: support of Huawei CE5800 series switch
	update: mgmt link on FQDN (telnet, ssh, rdp) now supports any protocol (MGMT_PROTOS config var)
	update: replace CodePress highlighter with CodeMirror (by Mark Jazmik)
	update: display links to newly created rows & locations (#883)
	update: add collapse/expand feature to location filter (#901)
	update: display location tree in breadcrumbs (#905)
	update: display location parents in the rack list when mounting an object (#925)
	update: display location parents in the row list when editing a rack (#993)
	update: sort by location and row name when mounting an object (#1021)
	update: add a link to the View Rack page (#947)
	update: support blades of varying sizes in the same chassis (#923) by Mark Wilkinson
	update: add F5 VIPRION models to dictionary (#987)
	update: SNMP support for Cisco ME-3400EG-2CS-A (#939), WS-C2960CG-8TC-L (#933),
		WS-CBS3012-IBM/-I (#871), WS-C3560-8PC (#975), WS-C2950-12 (#973),
		WS-C2950G-24-DC (#981), WS-C3560GV2-48TS (#983), WS-C2950SX-24 (#991),
		WS-C2960-8TC-L (#1063), HP ProCurve J9028B (#941), J9022A (#767),
		Netgear GS724TP (#1001), TL-SL5428E (#1015),
		Brocade TurboIron 24X (#1055) by Mark Wilkinson
		3Com 4500 family of switches (#1083) by Rafael Driutti
		Cisco WS-C3560V2-24PS (#1049), Netgear FS726TP (#859) by Aaron Dummer
	update: port link popup now has asset no search field (#949) by Thomas Uhde
	update: searches now examine 'dictionary' attributes (#1003)
	update: exclude some elements when printing to paper (#464)
	update: add resource pool info to the Virtual Resources cluster portlet (#915)
	update: remove the 'unmounted' autotag from objects inside a container (#1061)
	update: virtual objects may use 'asset tag' and 'visible label' attributes (#1069)
	update: display all containers and mount points on list objects page (#1081)
	update: cell filter pages display fast if no filters specified
		(the MAX_UNFILTERED_ENTITIES config variable must be set)
	update: port type could now be changed even if port is linked
	new feature: bulk selection and deslection of object rackspace checkboxes by Matthew Kelch
0.20.5 2013-06-23
	bugfix: 500 server error if protocol was not specified in
		terminal_settings subroutine
	bugfix: Virtual Resources page threw exception if a hypervisor/resource pool
		was not associated with a cluster (#823)
	bugfix: contained objects were displayed without container's rackspace
		allocation information (#825)
	bugfix: when mounting an object, list of racks was improperly grouped if
		duplicate row names existed (#839)
	bugfix: invalid search result when only one location matched (#843)
	bugfix: when there's no local account created while using LDAP auth,
		quick links can't be saved on that account (#831)
	bugfix: ip tree: "Routed by" column displays routers in aggregate networks (#773)
	bugfix: UCS gateway was broken since 0.20.4
	bugfix: user-overrided config values were displayed in global config editor form
	bugfix: API: built-in hook functions were not called in 'before' and 'after' modes
	bugfix: Linux host's port status fetching was broken (#903)
	bugfix: recognize unqualified hostnames in URLs (#1023)
	update: search improvements:
		- redirect to object when search by IP lead to valid allocation
		- if search result is same type of object, preserve opened tab
		- display search query in form field when search return multiple results
		- search for rack rows by name (#885)
	update: handle EntityNotFoundException as redirect to main page and
		show appropriate error message
	update: prevent deletion of system-level attribute mappings (#771)
	update: prevent deletion of object container compatibility rules
		which are being used (#835)
	update: use the monospace font family when displaying comments (#781)
	update: display parent locations when browsing rackspace (#845)
	update: add JavaScript to toggle children of Location filter tree (#841)
	update: display parent and child location(s) on View Location page (#847)
	update: display location drop-down list as a tree (#879)
	update: change location filter form from GET to POST (#869)
	update: display blades when rendering a rack (#745)
	update: add Enterasys dictionary entries (#865)
	update: SNMP support for Cisco 877 (#863), ISR 878 (#861), 4948E (#741),
		WS-C2960S-24PS-L, WS-C2960S-F48LPS-L
	update: tag names now can contain '+', '%', ':' characters,
		can begin with '-' and end with '+', ':' characters.
	new feature: Rackcode filter for RDP-managed objects (#819)
	new feature: grouping of Virtual services, generating of
		virtual_server_group-aware keepalived configs
	new feature: SAML groups and logout support (#867) by Thomas Powers
0.20.4 2013-04-15
	bugfix: %GPASS% dictionary markers were ignored in selectboxes
	bugfix: 802.1Q: better Force10 switches support
	bugfix: 802.1Q: properly detect non-switched ports on Cisco NX-OS devices
	bugfix: racks, vs, rspools were displayed in search results even if user had
		no permissions to view them
	bugfix: some dictionary items of Cisco Catalyst 2960 switches were renamed to
		meet official Cisco classification (refer the release notes)
	bugfix: file upload failed in MySQL strict mode (#717)
	bugfix: bulk port creation failed with empty prefix
	bugfix: RS pool cloner was throwing an exception
	bugfix: PHP notice displayed on object's IP tab (#759)
	bugfix: sometimes racks could not be deleted (#757)
	bugfix: references to tags and files remained when a location was deleted
		(#747)
	bugfix: date/time attributes handling code had a bug (#719)
	bugfix: 802.1Q recalc button wasn't turning switch in out-of-sync state
	bugfix: searching attributes of locations & racks didn't work (#787)
	bugfix: address a PHP warning (#809)
	bugfix: release notes were not displayed during upgrade
	update: vlan search results now include binded IP networks
	update: make scaled rack thumb images sharp again
	update: Cisco IOS 15.0 support
	update: LLDP support for Juniper and Cisco ASR devices
	update: 802.1Q: non-switched ports do not need 'none' template role any more
	update: 802.1Q: misconfigured uplink/downlink ports are highlighed red on
		'802.1Q Ports' tab
	update: assign IP addresses to objects whose type is Wireless (#755)
	update: SNMP support for 3Com 4210 (#763), D-Link DES-3052 (#765),
		Linksys SRW224G4 (#743), Huawei S2700-52P-EI, HP J9137A (#791),
		Dell PowerConnect 2824 (#815)
	update: files may be linked to rows (#733)
	update: prevent deletion of system-level attributes (#761)
	update: hide controls in cacti tab if user doesn't have permission (#707)
	update: configuration editor displays variable names along with descriptions
	new feature: configurable top-to-bottom units order in particular racks
		(#601)
	new feature: overridable tag names display style (via CSS and plug-ins)
	new feature: SAML is now supported, using SimpleSAMLphp API (#811)
0.20.3 2012-12-19
	bugfix: DB exception on ports linking (#699)
0.20.2 2012-12-19
	bugfix: explicitly request Cacti RRA ID 1 (#466)
	bugfix: improve UCS error handling
	bugfix: proper handling of VLAN 1 in Huawei VRP 5.7 802.1Q gateway
	bugfix: database was corrupted after IPv4 networks creation on some PHP
		versions (#643)
	bugfix: LivePTR erased comments when performing an import (#645)
	bugfix: NX-OS LLDP-fetching connection was sometimes hanged up prematurely
	bugfix: list objects page threw exception if an object's container was
		nameless (#661)
	bugfix: Invalid binary IP exceptions on certain IPs (#673, #675)
	bugfix: list all VLANs of a network in tree view (#697)
	update: SLB: ability to specify multiple RS ports
	update: remove old gateways code, including Live VLANs
	update: allow linking more than one VLAN from same domain per a network
	update: make 802.1Q port list offline management multi-port (#653)
	update: SNMP support for Cisco WS-C2948 (#546), D-Link DGS-1210-24 (#629),
		Motorola RFS4000 (#657)
	update: allow setting MySQL client buffer size (#659)
	update: cut 'Quidway' word from Huawei switch dictionary items for unification
		with newer products
	update: 802.1Q: treat connection errors as recoverable
	new feature: abstract tags, which cannot be assigned (#577)
	new feature: added support for munin graphs (#406) by Michael Holm
0.20.1 2012-10-04
	bugfix: restore D-Link (#533) and Linux (#541) gateway support
	bugfix: IPv4 network capacity was not displayed on 32-bit machines (#602)
	bugfix: fixed infinite loop when creating default (/0) IP networks
	bugfix: IPs in NAT rules were displayed incorrectly (#600)
	bugfix: delete Rack history when a Rack is deleted (#604)
	bugfix: Location attributes weren't being saved (#605)
	bugfix: duplicate names for Racks and Rows weren't allowed (#606)
	bugfix: ports and IPs highlighting is kept after edit operation
	bugfix: preserve page number after data importing on LivePTR tab (#421)
	bugfix: 0.19.10 moved some HW models to a different dict chapter, update the
		type of affected objects accordingly (#609)
	bugfix: Tab "Live ports" is blank if network error occurs (#489)
	bugfix: renaming top-level tag is impossible (#621)
	bugfix: IPv4 network capacity of fully-allocated parent range was shown
		incorrectly (#611)
	update: confirmation boxes when clearing attribute values (#565)
	update: log records containing long lines are now word-wrapped (#608) by
		Stephen Groat
	update: SNMP support for HP J9020A (#619), HP J9280A (#615), TL-SG5426 (#590)
	new feature: IP addresses inherit tags from their parent networks (#375)
	new feature: initial Cisco UCS support
	new feature: offline management of 802.1Q port list (#460)
	new feature: multiple Cacti servers (#534)
0.20.0 2012-09-09
	bugfix: when long action takes place, other tabs in browser are functional now
	bugfix: LLDP discovery was not working on some Cisco Nexus devices
	update: LLDP: proper handling of Juniper MX neighbors for NX-OS and VRP
		devices
	update: LiveCDP, LiveLLDP: more accurate default interface type detection,
		ability to overwrite the transceiver set on port, checkboxes are set by
		default
	bugfix: object portlist was not always sorted correctly
	update: tag chains are now sorted by the root tags (e.g., your geo-tags will
		always precede hw model tags or vice versa)
	update: 802.1Q: config deploy to Cisco IOS switches is no more requiring
		'switchport trunk encapsulation dot1q' pre-set
	update: 802.1Q: deploy is performed per-port, respecting portname sort order.
		Do not begin with the next port until the previous one is totally done.
	update: 802.1Q: 'Non-switch devices' portlet in VLAN info page (displays
		linked ports if their remotes have no 802.1Q orders)
	update: 802.1Q switch templates became one of "generic" realms (you can assign
		tags to them)
	update: ability to remove 802.1Q VLAN from every port it belongs to in order
		to delete this VLAN
	update: convert racks and rows into objects (database change only, no visible
		differences)
	new feature: support for mounting object without specifying units (zero-U,
		#173)
	update: ability to manually reorder racks in row (#370)
	update: ability to delete IP prefixes, VLANs, Virtual services and RS pools on
		their Properties tab
	update: display a link to just created IP network/VS/RS pool entity in
		creation success message
	update: new config var SEARCH_DOMAINS to control the annoying FQDN-search
		feature introduced by 0.19.3
	update: cable ids for links could be edited through AJAX
	new feature: adjustable quick links at the top of the page, logo removed
	update: support for performing DB upgrades from a console using contrib code
		(#556) by Hannes Georg
	update: in CLI mode the error and warning messages are echoed to stderr
	update: SNMP support for Cisco SF/SG 300s (#507, #594), 2651XM (#526),
		WS-CE500-24TT (#511), WS-CE500G-12TC (#512), WS-C3550-24 (#525), 3Com 4200G
		(#342), Dell PowerConnect 3348, 3448, 3548, 5224, 5324, 54xx, 6024F, 6224,
		6224F (#383, #390, #427, #502), HP ProCurve 6600-48G-4XG (#522), 2650, 2900,
		Netgear FS750T2 (#479), Juniper EX3200-48T (#510), Linksys SRW2048 (#350)
	update: handle wide-band WDM transceivers
	new feature: Force10 OSv8, Arista EOS and Marvell ROS switches support
	new feature: SLB feature was rewritten (configuration macro processor, IPv6
		SLB, fwmark services, RS pool cloning added)
	update: significant part of IP-related code was rewritten for clarity,
		unification and extendability. Visible changes are:
		- IP tree rendering speed has been increased
		- IP tree filtering does not affect child networks of the filtered ones
		- In "do not show IPv4 usage" mode the network usage is available by click
			through AJAX
		- Each arrow aside backtrace element in IP net pages is now click-able to
			display IP subtree
		- Clicking on 'IP space' link in navigation bar from within IP net page
			resets saved filter
		- VLAN numbers in IP tree are rendered below CIDR, no more dedicated column
		- Auto scroll-down is performed when clicking on 'expand IP tree element'
			button
		- Row highlight color became nicer
		- 'knights' support for IPv6
		- IP log (allocation history) support
		- new IP allocation form offers the most popular allocation type
		- 'collapse all' link in IP tree
		- v4 net usage progress bar displays both allocated and unallocated spaces
		- '$spare_XX' and '$aggregate' autotags (to filter nets based on the size of
			available spare subnetworks)
		- '$vlan_XX' autotags added to ipv4net/ipv6net cells
		- '$masklen_ge_XX' and '$masklen_le_XX' autotags removed from 'ipv4net'
			cells
		- IPV4_TREE_RTR_AS_CELL config variable has another state 'none' (see
			release notes)
		- Object's 'IPv4' and 'IPv6' tabs were merged into single 'IP' tab
		- added comment field to IP addresses (#555)
		- create network and link it to a VLAN at once
	new feature: you can obtain who has made tag assignment, object's ports or
		IPv4 address changes by hovering cursor on these entities
	new feature: locations: you can document objects' locations by creating
		special container objects and put other objects/rows into them
	new feature: API: plugin installation is as simple as copying a file into
		plugins/ dir (see release notes)
	new feature: API: you can selectively override the default static content by
		specifying the $local_staticdir global var
	new feature: API: ability to redefine/override internal RackTables functions
		(hooks introduced)
	new feature: API: chaining of custom ophandlers, tabhandlers, hookhandlers
	new feature: API: gateway engine was rewritten. Ability to set up different
		connection protocols, properties and credentials using flexible filtering
		(see release notes)

0.19.14 2012-09-02
	update: Port linker selects nearest rack by default (#562) by Hannes Georg
	update: SNMP support for Cisco 2960-24TC-L (#554), 2924M-XL (#582), 3560E-12SD
		(#564), ProCurves (#558), Allied Telesyn AT9924T (#581)
	update: fix for LongReachEthernet interfaces (#589)
	bugfix: file upload error handler by Hannes Georg
	update: do not display edit box for an attribute unless user has permissions
		to update it
	update: SQL index tweak by Hannes Georg (#586)
	update: improve Dictionary unique constraint (#593)
0.19.13 2012-06-28
	update: IE spoils JPEG uploads, work around
	update: use is_callable() (#551)
	update: tag filter is always on the right side (#484)
	update: more config variables can be overriden per user
	bugfix: IPV4_AUTO_RELEASE config var was not working since 0.19.11
	bugfix: containers weren't displayed properly on the list objects page (#547)
	bugfix: 'FUNCTION * does not exist' SQL errors when upgrading 0.19.11 ->
		0.19.12
	bugfix: displaying of 802.1Q ports tab could take too long
	bugfix: upgrade from 0.18.8 caused fatal errors till session expiration (#506)
	new feature: new attribute type "date" by James Cohen
0.19.12 2012-04-12
	bugfix: Could not delete objects' log entries
	new feature: initial D-Link and Linux gateway support by Ilya Evseev
	new feature: helpdesk banner
	new feature: non-anonymous LDAP search (#442) by Hannes Georg
	new feature: hardware warranty report by Ernest Shaffer
	update: 8021q and portinfo support for NX-OS 6.0
	update: serial console servers by Boris
	update: 40GbE and 100GbE port types
	update: improved install/upgrade procedures
0.19.11 2012-02-26
	bugfix: IP address reservation release on allocation works again
	bugfix: SNMP did not work for Netgear
	bugfix: Cacti integration improvements (#466)
	bugfix: Could not delete objects' log entries
	bugfix: hovering over a mounted object displayed incorrect child data (#498)
	bugfix: links which include username/password weren't parsed correctly (#400)
	bugfix: resolve attribute FK issue introduced in 0.19.7
	bugfix: SNMP discovery of APC PDUs returned error (#504)
	bugfix: catch errors when uploading files (#420)
	update: list of virtual object types is now maintained as a Config setting
		(#488)
	update: when an object is contained within another, display the parent's
		rackspace allocation info when viewing the child (#432)
	update: added the 'Slot number' attribute to object types which may be mounted
		in a blade chassis (#474)
	update: added an 'Uncheck all' button to the rackspace allocation page (#490)
	update: ability to change cable ID without deleting & re-adding the link
		(#457)
	update: vertically position racks to the bottom of the row instead of the
		center (#469)
	update: SNMP support for WS-C2960-48TC-L (#499), Fortinet Fortigate 310B
		(#374), ProCurves (#501, #503), Arista 7124S (#505)
	update: allow duplicate 'router' IP assignments without warning to accommodate
		VRRP (#419, by Tyler J. Wagner)
	update: change display name of unnamed objects to "[$objtype]" (#487)
	update: suppress fiber connector specifics again
	update: ability to delete IP prefixes from within its properties tab
	update: adding and deleting forms of IP prefixes are separated
	update: improved support of Nexus switches (#500)
	update: LivePTR now ignores auto-reserved network & broadcast addresses (#425)
	update: VLAN-to-ipnet bindings are now displayed in net cells
	new feature: TLS LDAP option by Nick Hilliard
	new feature: SVG dispatcher module
0.19.10 2011-10-17
	bugfix: LivePorts MAC address lister was broken with Huawei S5300 V100R006
	bugfix: SNMP sync was broken when one of default attributes was removed from
		certain object type
	update: improve SNMP coverage
	update: justify the difference between SNMP versions (by Boris Lytochkin)
	update: IE spoils PNG uploads, work around (#468)
	update: handle IPv4 auto-addresses better (#418)
	update: port-aware MySQL server config in installer (#471)
0.19.9 2011-09-01
	bugfix: a hotfix for Cacti feature
	bugfix: disabled highlighting text editor in Google Chrome and Safari (closes
		#455, #462)
	update: dismiss HNDP support
	update: markup IPv6 subnet-router on request (by Jens Weibler)
	update: dismiss connector specifics of optical Ethernet ports
0.19.8 2011-08-28
	update: switch to InnoDB completely
	bugfix: dictionary chapter rename did not work
	bugfix: searching for IPv6 address by its description caused an error
	bugfix: SNMP for PDUs (#458)
	update: ER DWDM channel grid
	update: use of AJAX in tag tree editor tab (by Alex Noskov)
	new feature: integrated Cacti Graphs if you have the cURL extension for PHP
		loaded (#306, by Jonathan Thurman)
0.19.7 2011-07-31
	update: add SNMP support for several more switches
	update: improve consistency of stored attribute data (#449)
	bugfix: wikilinks (#435, by Stefan Himpich)
0.19.6 2011-07-02
	bugfix: port linker was not working (#446)
	bugfix: PHP warning messages appeared when searching (#443)
	bugfix: VM selector popup was not working (#447)
0.19.5 2011-06-29
	bugfix: dictionary record updates did not work (#430)
	bugfix: fix 802.1Q for XOS12
	bugfix: don't fail on a read-only connection accessing a file
	bugfix: pencil editor cell resizing issues
	bugfix: remember last tab function fixed
	bugfix: DB schema upgrade procedure handles SQL errors correctly
	update: better eDirectory support by Walery Wysotsky
	update: add new port type for VMs and virtual switches (by Aaron Dummer)
	update: SNMP support for C2960-48TC-S
	update: improve handling of malformed navigation structures
	update: improve caching of object attributes data
	update: {$runs_8021Q} works for IPv4/IPv6 networks
	update: list new wireless APs
	update: restrict search results according to user's permissions
	update: make link cable IDs searchable
	update: set default timeouts for LDAP cache
	update: ability to search a remote port while linking ports together and to
		resolve port type conflicts in-place
	new feature: attribute-level access control for objects
	new feature: ability to open a terminal session to a device by clicking on its
		FQDN
	new feature: inverting tags on cell filter pages by clicking the checkboxes
		with Ctrl key
0.19.4 2011-04-14
	bugfix: tag selector was not working with magic_quotes enabled
	update: new techniques of changing the directory layout are now supported by
		installer and upgrader
	bugfix: in-place editing of unallocated IPv4 address was not working
	bugfix: wrong calculation of total IPv4 address count in networks with spare
		blocks (by Jens Rosenboom)
	bugfix: VST editor: unsaved regexps were sometimes undesirably modified
0.19.3 2011-04-05
	update: when searching for object by its hostname (FQDN attr) and single match
		is found, no searching by other fields is done
	update: introduce "{$vlan_NNNN}" autotag to convoy both {$fromvlan_NNNN} and
		{$tovlan_NNNN}
	update: remove extraneous barcode column header from 'add objects' form (by
		Tyler J. Wagner)
	update: refresh dictionary record groups (by Michael C Tiernan)
	update: in-place AJAX editing of reservation comments on object ports and IP
		addresses
	update: restore object type changer
	bugfix: handle SQL remnants of bug 399/415
	bugfix: magic_quotes-eliminating code was broken (e.g. VST editor was not
		working with PHP's magic_quotes enabled)
	update: 802.1q: if something goes wrong and RT is going to remove needed VLANs
		from port, now it's more likely to firstly remove management VLAN, keeping
		the others working
	bugfix: in default installation RT was not able to find its own gateways
		directory
0.19.2 2011-03-24
	new feature: JunOS10 802.1q gateway
	bugfix: port linking was broken for some users due to open PDO cursor (#413)
	bugfix: Permissions code editor was broken with Google Chrome
	update: new DB table indexes speeding up IP tree operations
	update: tolerate user-visible newlines in secret.php and local.php
	update: ability to delete a file entity from the Edit tab of the File page
	update: 802.1q: links to switchports allowing the vlan added in page Vlan info
	update: 802.1q: a diff between new and former VLAN packs appears in 802.1q
		port config if the config is complicated
	update: 802.1q: improved compatibility with Cisco IOS 12 devices (the case of
		switchports with default configuration)
	update: new object types: power supply chassis, power supply (#409)
	new feature: Cisco NX-OS v4, v5 LLDP gateway
	bugfix: VRP linkstatus gateway now properly handles port-channels
	update: LiveCDP, LiveLLDP, etc: ability to install tranceivers into ports
		in-place, while linking the ports
	bugfix: LiveLLDP now supports 'local' port type with Huawei VRP v5 devices
0.19.1 2011-02-22
	update: UI: rack lists are now reduced by common tags with object on Rackspace
		tab (FILTER_RACKLIST_BY_TAGS config var)
	update: 802.1q: If switch has IP interface in some VLAN linked to IP subnet,
		this VLAN is not pruned from switch's uplink
	bugfix: on some platforms search for exact object name returned empty result
		(#391)
	bugfix: adding object throw "Same type, same tags" was broken since 0.19.0
		(#394)
	bugfix: IPv6 functionality was not working with PHP prior to 5.2 (#396)
	bugfix: change Config.varvalue column type to accommodate contents > 255
		characters (#397)
	bugfix: delete container relationships when an object is deleted (#398)
	bugfix: SQL syntax error in some versions of MySQL+PDO
	bugfix: image caching was broken with some browsers
	bugfix: finalize ObjectLog merge (#392)
	bugfix: fix barcode migration code, PDO concurrent query issue (#402)
0.19.0 2011-02-12
	new feature: IPv6 support, except of LivePTR, NAT and SLB functionality (by
		Alexey Andriyanov)
	new feature: cable ID column for links (#328, by Giovani Zamboni and Jens
		Weibler)
	new feature: SNMPv3 support (#379, by Jens Weibler)
	new feature: 802.1Q template copier
	new feature: merge "objectlog" extension (by Ernest Shaffer)
	new feature: add support for "container" objects to handle blades, VMs, etc.
		(by Aaron Dummer)
	new feature: syncdomain.php now can create child processes to speed up 802.1Q
		sync
	new feature: UI: live switchport info (port config, link status, learned mac
		list) showed inline on any object tab
	bugfix: the feature of remembering last opened tab of realm page is now
		working
	bugfix: UI: pager in ipv4net shows appropriate page when IP is highlighted
	bugfix: create IPv4 network button, if pressed to open in a new window, was
		redirecting the parent window, too
	bugfix: when searching for IP not belonging to any known network, the ugly
		assertion failed page was shown.
	bugfix: prevent invalid port links (#363, by Aaron Dummer)
	bugfix: the 'Refcnt' counter on Configuration: Dictionary page was sometimes
		broken (closes mantis:0000381)
	update: cache image files thumbnails and make them JPEGs (#369, by Matt Mills)
	update: enhance rackspace click helpers (by Jeroen Benda)
	update: object type cannot be changed after the object is created
	update: drop barcode column (by Aaron Dummer)
	update: UI: ports/IPs/nets highlighting enhancements
	update: links to ports added to object search results
	update: custom search results provided by users' plugins now supported
	update: Huawei VRP 5.70 pseudo-interactive telnet support (fixes multiple
		problems caused by fast commands post through netcat)
	update: selective including of JS and CSS files. No more unneeded js code
		loaded.
	update: 802.1Q template editor now supports single-submit edit and concerns
		concurrent submits
	update: new API for dispaying messages (showError, showWarning, showSuccess)
	update: dictionary attribute values with external links are formatted
		differently to distinguish the filter and external info links
	update: UI: ability to clear object ports list at one blow
0.18.7 2011-02-09
	bugfix: adjust 802.1Q command generation
	bugfix: fixed telnet session hanging in NX-OS4 connector
	bugfix: adjust installer check for mysqlnd
0.18.6 2010-11-26
	bugfix: draw administrator's attention to missing LDAP extension (by Matt
		Mills)
	bugfix: minor issues on LiveCDP/LLDP tab
	update: SNMP data for FastIron LS (#357)
	update: upon deleting 802.1Q order record focus SELECTs on the deleted values
	bugfix: SQL error issue on some versions of PHP introduced in 0.18.5
	new feature: 802.1Q: ability to recalculate the switch uplinks and downlinks
		by pressing a button on 8021q ports page
	bugfix: when clearing object, allowed VLANs are also cleared now
0.18.5 2010-10-25
	bugfix: attribute map editor was broken (#353)
	bugfix: speed up IPv4 VLAN selector (by Boris Lytochkin)
	bugfix: suppress inputs borders in MSIE (by Alexey Andrianov)
	bugfix: handle locking failure in LDAP caching code
	bugfix: enable deletion of initialized 802.1Q switch
	bugfix: justify table alignment in rack view (#367)
	bugfix: recognize Nexus portchannel interfaces in 802.1Q
	update: allow scrollbars in port selector (#361)
	update: make IPv4 utilization bar a standard element (by Alexey Andrianov)
	update: make 802.1Q VLANs searchable
	update: another round of SNMP enhancements
	update: tag "quick list" redesign (by Alexey Andrianov)
	update: disable knight button for a filtered IPv4 tree view
	update: initial support of VRP version 5.70
	new feature: enable IMS caching of progress bars (by Alexey Andrianov)
	new feature: rebuild tag filter as soon as user changes it (by Alexey
		Andrianov)
	new feature: default SLB configuration lines stored in DB (by Alexey
		Andrianov)
	new feature: {$attr_X_Y} autotags (by Alexey Andrianov)
	new feature: action "reset object" deleting it's non-hardware properties
		(Boris Lytochkin)
	new feature: LLDP neighbour support on Cisco IOS switches (by Boris Lytochkin)
	new feature: Links added for displaying object lists filtered by dictionary
		keys (Alexey Andrianov)
	bugfix: fixed an issue with LiveCDP remote device names of Nexus switches
	update: users could set MAX_UNFILTERED_ENTITIES cfg var to suppress display of
		entire entity sets before filters are applied (Alexey Andrianov)
	update: objects' ports are now sorted by module numbers in all tabs
	update: LiveCDP page: some bugs removed, user interface improvements
0.18.4 2010-07-13
	bugfix: a race condition could be triggered in permissions editor
	new feature: "any mode" of user port in VLAN switch template
	new feature: LLDP support for VRP 5.50 software
	update: improved error handling code
	update: fixes in 802.1Q
0.18.3 2010-06-15
	bugfix: fix mktemp not working on Slackware (by Rafael Ganascim)
	bugfix: Nexus 802.1Q fixes
	bugfix: fix incorrect quoting of port reservation comment
	new feature: "Live CDP" now works with Nexus devices
	new feature: Huawei NDP support
0.18.2 2010-06-10
	bugfix: don't restore last opened tab, which won't be permitted anyway
	update: completely switch to PDO prepared queries (#120)
	update: don't allow duplicate rack row names (#344)
	new feature: Live LLDP
0.18.1 2010-06-03
	update: initial SNMP support of Summit switches
	update: switch from deprecated ereg extension to PCRE (#262)
	update: don't use deprecated magic_quoes extension (#315)
	update: switch more tables to InnoDB engine
	update: removed dependency on SPL extension, which 0.18.0 had introduced
0.18.0 2010-05-27
	new feature: Live CDP (#58)
	new feature: 802.1Q management (#182, original idea by Justin Ellison)
0.17.11 2010-06-14
	update: usual SNMP updates
	update: Bulk port form (#321)
	update: 2960G-8TC SNMP patch by Jonathan Stanton
	bugfix: updateObject() saves DB records for dict values when not set. (#273)
	bugfix: argument validation was broken for value of 0 (#272)
	bugfix: "Add/update multiple ports" did not work (#326)
	bugfix: "bulk ports" form added more ports, than requested (#340)
	bugfix: improve compatibility with eDirectory (by Joep van Ingen)
	bugfix: static filter was hard to reset (#343)
0.17.10 2010-05-05
	update: make object form messages consistent (by Tyler J. Wagner)
	update: sort object ports in a more reasonable manner
	update: enable class methods as handlers (by James Tutton)
	update: better support of Huawei S5300 switches
	update: better support of Brocade/Foundry FastIron switches
	update: also list WS-C3524-XL (#320)
	update: better support of Nexus switches
	update: maintain filter per page load and isolated per realm (#217)
	bugfix: ldap cache timestamp fix (#332)
	bugfix: completely fix ticket:211
	bugfix: declare charset in HTTP header (#312)
	bugfix: PHP warning with certain auth setups (#310)
	bugfix: don't add AC-in port for switches, which don't have it (#316)
	bugfix: accept MAC addresses returned by newer Catalysts
	bugfix: IPv4 management page was sometimes broken (#309)
0.17.9 2010-02-17
	new feature: added per-user UI options (ticket:29)
	new feature: LDAP cache can be disabled now (ticket:247)
	bugfix: error message was lost on SNMP tab (reported by Tommi Hokkanen)
	bugfix: expand/collapse links on IPv4 tree view (ticket:308)
	bugfix: local.php did not work with SNMP
	bugfix: added error handling to gateway function (ticket:303)
	bugfix: user's local real name was ignored with LDAP (ticket:252)
	update: SNMP support for more Catalyst switches
0.17.8 2009-12-25
	bugfix: triggers disable tabs completely now (ticket:211)
	bugfix: properly delete objects with linked ports (ticket:300)
	bugfix: completely remove warnings caused by ticket:277 (by Jason Lifsey)
	update: restore PortCompat editor functionality (ticket:263)
	update: don't show inacessible links in index (by Jeroen Benda)
	update: consider permitted VLANs in switchvlans (#302 by Boris Lytochkin)
	update: regular dictionary update
	bugfix: ajax code verifier response code bugfix
0.17.7 2009-11-09
	bugfix: work around unbuffered query in ports pop-up (ticket:297)
	update: add inline mode switcher by Jens Groh (ticket:298)
0.17.6 2009-10-31
	update: voice/video devices
	bugfix: PHP warning
	bugfix: escaping of a newly created IPv4 network name (ticket:292)
	bugfix: generate URLs more friendly for reverse proxies (ticket:246)
	new feature: "proximity" view in port selector popup (ticket:284)
	new feature: "$no_asset_tag" autotag (ticket:283)
0.17.5 2009-09-16
	bugfix: corrected reference counters in tag tree
	bugfix: "cn" autotag was not generated for objects
	new feature: make text in the "added new object X" message clickable
		(ticket:280) (by Boris Lytochkin)
	new feature: support for Ethernet transceivers (ticket:64) and WDM grids
	new feature: initial support of APC switched rack PDUs (ticket:175)
	update: power port type was split into input and output (ticket:261)
0.17.4 2009-08-13
	bugfix: remove PHP warnings on IPv4 space management tab (ticket:277)
	bugfix: work around array_fill_keys() from PHP 5.2 (ticket:278)
	bugfix: delete real servers on RS pool deletion (ticket:233)
	bugfix: "Same type, same tags" form was broken (ticket:279)
	update: add more InnoDB foreign keys
	update: also search object ports by label text
0.17.3 2009-08-08
	update: even better search function (ticket:20)
	update: suggest tag selector for new files and users (ticket:205)
	update: "multiple ports" form is now hidden by default (ticket:274)
	new feature: tags quick list on "Tags" tab (ticket:259)
	bugfix: removed PHP warnings on "Rackspace" tab
	bugfix: rack row removal sometimes failed (by Marcin Suchocki)
	bugfix: improve usage counters for IPv4 networks
	bugfix: make ADDNEW_AT_TOP options really work everywhere (ticket:213)
	bugfix: authorize file preview as a download (ticket:241)
	bugfix: dictionary stats report didn't work correctly
0.17.2 2009-07-22
	new feature: configure default SNMP community (by jthurman)
	new feature: "$untagged", "$portless", "$nameless" and "$masklen_OP_NN"
		autotags
	new feature: knight button in IPv4 tree
	new feature: searching by attribute value or port reservation comment
	update: show appropriate message, if a record cannot be found
	update: add Cisco dictionary entry for WS-CBS3030-DEL. closes ticket 225 (by
		jthurman)
	update: add OS, router, fibre switch dictionary entries for ticket 238 (by
		Aaron)
	update: allow variations of FC WWN as an L2 address (by killsystem)
	update: port L2 address can be reused on the same object
	update: same port name can be repeated for an object with different types
	update: added comment field for IPv4 networks
	update: NetApp records (by Sander Klein)
	update: APC records (by Ray Robertson)
	bugfix: do not produce PHP warning on LivePTR tab
	bugfix: wrong port type set for WS-C2950-24. closes ticket 229 (by jthurman)
	bugfix: improved IOS detection and fixed a logic error. closes ticket 232 (by
		jthurman)
	bugfix: user account autotags were not generated under certain conditions
		(reported by Jason Hamilton)
	bugfix: correctly remove tags, when deleting files
	bugfix: switchvlans failed on "%" or "~" character in port name (by Boris
		Lytochkin)
	bugfix: search failed, when only one RS pool was found for request
	bugfix: large images could not be rendered often due to memory limit hit
	new feature: rackspace tab is shown only if there is at least one rack
		in the system. Closes ticket 234.
0.17.1 2009-06-03
	bugfix: tags were not displayed on "File" page
	bugfix: multiline comment for an added file was stored incorrectly
	bugfix: user's displayed name was sometimes lost with LDAP auth
	bugfix: rackspace rows highlightling was broken in previous release
	bugfix: IPv4 address picker window was broken
	bugfix: string value "0" was incorrectly handled, when displaying or entering
		data
	bugfix: rackspace allocation history recording did not work in 0.17.0
	bugfix: boolean expressions parsing in RackCode now honours priorities
	bugfix: upgrade script could fail sometimes
	update: removed unused database index
0.17.0 2009-05-20
	new feature: file attachments (by Aaron)
	new feature: ability to delete objects (by Aaron)
	new feature: external "httpd" user authentication
	new feature: validator in RackCode editor
	new feature: vendor sieve for stickers
	new feature: RackCode expressions as source for load balancer lists
	new feature: wireless hardware in dictionary
	new feature: "racks per row" option (by Frank Brodbeck)
	new feature: LDAP cache
	update: display row name when listing objects. closes ticket 16 (by Aaron)
	update: ability to manage rows from the Rackspace page in addition to the
		Dictionary (by Aaron)
	update: allow port type to be changed if it isn't linked.  closes ticket 137
		(by Aaron)
	update: add network security chapter and dictionary entries.  closes ticket
		148 (by Aaron)
	update: add HP and Juniper dictionary entries.  closes tickets 145 and 165 (by
		Aaron)
	update: combined two forms on object properties page into one.  closes tickets
		36 and 87 (by Aaron)
	update: display and edit the dictionary chapter by chapter (ticket:151)
	update: 'enabled' user acount flag was dropped
	update: switchvlans gateway has been updated
	update: RackTables installation is now done only through install.php
	update: records for F5 hardware
	update: don't require HASH extension any more
	update: rack thumb dimensions aren't configured any more
	update: SNMP code for Nexus and HP switches (with help from killsystem)
	update: tag filter has been completely rewritten
	bugfix: show error message if snmp module isn't loaded.  closes ticket 43 (by
		Aaron)
	bugfix: fixed IIS-specific issues with accessing via HTTP or from docroot
		(reported by Sean Brown)
0.16.6 2009-01-12
	bugfix: it was possible to access the system as any existing
		LDAP user w/o his password (reported by Igor Shishkin)
0.16.5 2008-12-23
	bugfix: suppress several meaningless PHP warnings
	bugfix: better handle IPv4 addresses w/o a covering prefix
	bugfix: show error message for duplicate IPv4 network record
	update: IPv4 calculations were optimized for better speed
	update: resolved performance issue for systems with many L2 ports
	update: enable username handling in Cisco switch connector
	update: introduce icons for routers and SLB
	new feature: IPv4 tree expand/collapse switch
	new feature: IPV4_TREE_SHOW_USAGE option controls IPv4 performance
0.16.4 2008-11-04
	bugfix: display VS/RS config block in RS pool view
	bugfix: resolve tabindex issues in many forms
	bugfix: NAT rules were not displayed for IP address
	bugfix: less PHP warnings
	update: enable user search by real name
	update: allow empty names for IPv4 networks
	update: refactor snmp.php to support Cisco 3032, 3750, 4506 switches
		(by Aaron, w/data & testing from Luis Fernando Lacayo and Ray Robertson)
	update: add SNMP discovery support for Cisco 2950-24 (patch by Russ, ticket
		177)
0.16.3 2008-10-02
	new feature: tell line number for lexical and syntax errors
	new feature: CodePress editor enables line numbers and syntax
		highlightling for RackCode editing
	new feature: one more input format for RS manager
	new feature: standalone RackCode report with warnings
	new feature: unified IPv4 address tree
	bugfix: tags are now properly displayed for users
	bugfix: the JavaScript error isn't generated any more (fix by Aaron)
	bugfix: tag tree is now always correctly sorted
	bugfix: fix a typo in NAT rules displaying code (pointed out by Piotr Nowacki)
	bugfix: error message was broken in the installer (reported by Thomas Thep)
	bugfix: IPv4 network check sometimes failed to detect duplicate networks
	bugfix: lexical scanner could mistakenly fail in some rare cases
	bugfix: drop DB index mistakenly introduced in 0.16.1
0.16.2 2008-08-21
	bugfix: IP address picker was broken
	bugfix: more message processing fixes
	bugfix: work around some NET-SNMP builds (reported by Walery Wysotsky)
	bugfix: some characters in password could break user access
	bugfix: pre-assigned tags didn't work for racks
	bugfix: tag roller could produce incorrect tag chains sometimes
	new feature: "router" addresses allocations
	new feature: support for local extensions and reports
	new feature: LDAP username to UID mapping by Walery Wysotsky
	new feature: extended IPv4 view mode (enabled by default)
	new feature: tag roller now processes objects in racks too
	new feature: start cutting off excessively long strings on the generated pages
	update: 3 more switches in SNMP code by Walery Wysotsky
	update: added a missing DB index (Aaron Dummer's advice)
	update: "slbconfig" gateway has been replaced by "sendfile"
	update: more detailed tag report
	update: "virtual" addresses are now "loopback" and "regular" became
		"connected"
	update: "placeholders" are now "spacers"
	update: more records were put into the demo data
0.16.1 2008-07-30
	new feature: pre-assigned tags for new VS and RS pools records
	new feature: cache RackCode parse tree for better performance
	new feature: display tags inline for IPv4 and SLB data
	new feature: optionally remember the last tab for each page
	bugfix: don't escape Greek letters to enable them in tag names
	bugfix: port manager messages were incorrect
	bugfix: shorten URLs to enable longer message logs
	bugfix: added missing index to database
	update: adjusted database for bigger texts
	update: better "origin" highlighting for browsing
	update: merged Petr Kohts' highlight patch
	update: better tags in demo data
0.16.0 2008-07-09
	new feature: tag roller
	new feature: taggable user accounts
	new feature: RackCode configuration
	new feature: "my account" page
	update: page layout fixes and improvements
	update: dictionary updates
0.15.1 2008-06-05
	bugfix: fix auth headers in upgrade script (broken in 0.15.0)
	new feature: fetch switch serial number via SNMP (by killsystem)
	new feature: adding multiple racks
	new feature: IP address reservation release on allocation
	updates: user interface cleanups and improvements
0.15.0 2008-05-10
	new feature: tags
	new feature: automatic option groups
	new feature: rendered links in dictionary view
	new feature: trunk support in switchvlans gateway
	new feature: Tango icon set
	update: added Force10, NETGEAR, D-Link, 3Com  and Extreme Networks
		switches, Raisecom MUXes, updated Cisco routers
	update: async port type has been split
	update: don't allow duplicate rack names in one row
	update: internal help system has been dropped
	update: SSV format for RS import
	bugfix: handle "routed" switch ports
	bugfix: make switchvlans gateway work on Linux
0.14.12 2008-02-29
	new feature: default value for RS inservice status
	new feature: AutoPorts feature
	new feature: HTTP installer
	new feature: default object type
	new feature: UTF-8 support
	bugfix: router HW type list was broken
	update: added Aten KVM switches and consoles
	update: added Tainet MUXes
	update: updated HP servers
0.14.11 2008-02-15
	bugfix: rackspace allocation was broken by magic_quotes fix
	bugfix: don't generate error messages by accessing _GET array
	bugfix: thumbs cache wasn't updated in rare cases
	bugfix: LivePTR: fixed warnings, tabindex, name reset and color markup
	update: KVM port type has been split (see wiki page)
	update: Avocent KVM switches, RAD and Cronyx multiplexers
0.14.10 2008-02-01
	bugfix: avoid hitting GET limit on object and rack update
	bugfix: sticker reset icon did not work sometimes
	bugfix: don't fail rendering an empty rack row
	bugfix: rack operations were broken in 0.14.9
	bugfix: upgrade script didn't authenticate users properly
	new feature: LDAP authentication
	new feature: borrow URL detection from Mantis BTS (suggested by Joakim
		Kasimir)
	new feature: Live PTR tab for DNS sync
	new feature: rack population threshold for rackspace allocation
0.14.9 2008-01-30
	bugfix: upgrade to 0.14.8 broke IPv4 prefix creation
	bugfix: more DB cleanups
	bugfix: SNMP didn't work properly for C4948 ports
	bugfix: rowspan attribute was computed incorrectly sometimes
	bugfix: protect referenced dictionary records from deletion
	bugfix: config reset was wrong for default port type
	bugfix: fixed incorrect string escaping caused by PHP magic_quotes
	update: Live VLANs color legend now distinguishes between 1 and 0
		MAC addresses on a port
	update: fixed tabindex in NATv4 rules form
	update: better dictionary editor layout
	update: get FQDN over SNMP
	update: accept one more multiport format
	update: help pages have been removed
	new feature: more information for rack view
	new feature: rack thumbnails caching
	new feature: rackspace and IPv4 subnets utilization indicator
	new feature: IPv4 and NATv4 tabs are now context-dependent
	new feature: initial SLB management, keepalived support
0.14.8 2007-12-22
	bugfix: adjusted hardcoded values in VLAN trigger
	bugfix: adjusted HW, SW and port types in SNMP data collector
	bugfix: Cisco connector: tolerate switch ports in suspended state
	bugfix: nameless object in link list could not be clicked
	bugfix: fix SQL tables structure
	bugfix: Live VLANs displayed VLANs missing from switch table improperly
	bugfix: sort auth data by username
	bugfix: NATv4 rules were added incorrectly
	update: corrected some dictionary entries
	update: better layout for Live VLANs tab
	update: better logo
	update: stick with GPL version 2, not any later version
	new feature: UI option to control asset tag warning
	new feature: UUID (RFC4122) sticker
	new feature: empty rackspace detector
	new feature: initial wiki-style markup support in dictionary
0.14.7 2007-12-05
	bugfix: provide better SQL dumps for new installations
	bugfix: gateways/switchvlans minor updates
	bugfix: logout link could fail sometimes
	bugfix: avoid short PHP tags for better compatibility across
	  different PHP installations (reported by Tom Laermans)
	bugfix: remove odd records from IPAddress once more
	bugfix: fixed IPv4 address browsing for MySQL-4 DB
	update: better attributes edit form by Aaron Dummer
	update: numerous UI adjustments across all pages
	update: new Dell, Foundry and Cisco records in the dictionary
	new feature: more cisco models support in gateways/switchvlans
	new feature: initial implementation of SNMP port data importer
	new feature: UI configuration reset tab
	new feature: initial reports code
0.14.6 2007-10-15
	new feature: browser-side validation for a new IPv4 network
	  (contributed by Aaron Dummer)
	new feature: logout link (same author)
	new feature: key hint in dictionary browser
	new feature: switch VLANs gateway with Cisco connector (others to come)
	new feature: one more form for objects mass-creation
	new feature: automatic database upgrades
	bugfix: don't hide IPv4 address name for a free address
	update: new stock values in dictionary chapters: server OS type,
		PortType, switch models
	update: make GigE default port type
	update: configuration is now stored in the database
0.14.5 2007-03-08
	bugfix: lots of adjustments to allow database be MySQL 4.0
0.14.4 2007-02-21
	bugfix: provide proper SQL init files
	bugfix: produce less PHP warnings
	bugfix: corrected error messages
	bugfix: don't fail on an empty database
	bugfix: multi-object form works again
	bugfix: fixed CSS errors
	bugfix: don't list the same port more than once in pop-up list
	bugfix: don't allow to ban admin access
0.14.3 2007-02-15
	initial release
